<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Addon extends Model
{
    protected $fillable = ['shop_id', 'name', 'name_ta', 'price', 'is_active'];

    public function shop()
    {
        return $this->belongsTo(Shop::class);
    }

    public function garmentTypes()
    {
        return $this->belongsToMany(GarmentType::class, 'addon_garment_type');
    }


}
